Skip to main content
知识库

Delete Knowledge Base

Permanently delete a specified knowledge base along with all its documents and chunks.

POST
/api/v1/indices/rag/index/delete
cURL
curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/indices/rag/index/delete" \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"index_id": "your_index_id"}'
{
  "code": "Success",
  "status_code": 200,
  "success": true,
  "message": "success",
  "request_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "status": "SUCCESS"
}
This operation is irreversible. After deletion, all documents, chunks, and index data under the knowledge base will be removed and cannot be recovered. Please confirm that the target knowledge base has no business dependencies before calling this API.

Authorizations

string
header
required

DashScope API Key,在控制台 API Key 页面 获取。

Body

application/json
string
required

要删除的知识库 ID,即 create_v2 接口返回的 data.pipelineId

Response

200-application/json
string

响应码,成功时为 Success

integer

HTTP 状态码。

boolean

操作是否成功。

string

响应消息,成功时为 success

string

请求唯一标识,排查问题时请提供此 ID。

string

请求状态,成功时为 SUCCESS

Overview
Managed Agent API
Sandbox API
Memory API
Flow Agent API
Connector API
Framework Integration
Assistant API (Deprecating)
  • Overview